> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Perform Payment Operation

POST https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/{paymentId}/operations
Content-Type: application/json

Performing payment operation

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/payments/post-payments-payment-id-operations

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `paymentId` (double, required) — Payment ID

### Body (application/json)

This endpoint expects an object.

- `operationCode` (enum, required) — Payment operation code. The list of allowed operations for this payment.
  - Allowed values: `0`, `1`, `2`, `3`

## Response

### 200

OK

- `code` (double, required)
- `data` (PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaMeta, required)

## Errors

### 400 Bad Request Error

Example response

- `code` (double, required)
- `data` (PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaMeta, required)

## Types

### PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaData

- `errMsg` (string, required)

### PaymentsPaymentIdOperationsPostResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

## Examples

**Request**

```json
{
  "operationCode": 0
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "id": 4
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python 200
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations"

payload = { "operationCode": 0 }
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript 200
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"operationCode":0}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations"

	payload := strings.NewReader("{\n  \"operationCode\": 0\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"operationCode\": 0\n}"

response = http.request(request)
puts response.read_body
```

```java 200
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"operationCode\": 0\n}")
  .asString();
```

```php 200
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations', [
  'body' => '{
  "operationCode": 0
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp 200
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"operationCode\": 0\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift 200
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["operationCode": 0] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```